Debian Bug report logs - #653492
live-manual-html: describes incorrect location for GPG key of additional repositories

version graph

Package: live-manual-html; Maintainer for live-manual-html is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-manual-html is src:live-manual.

Reported by: Sébastien Villemot <sebastien.villemot@ens.fr>

Date: Wed, 28 Dec 2011 21:39:27 UTC

Severity: normal

Tags: patch

Found in version live-manual/1:3.0~a9-1

Fixed in version live-manual/1:3.0~a10-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, sebastien.villemot@ens.fr, Debian Live Project <debian-live@lists.debian.org>:
Bug#653492; Package live-manual-html. (Wed, 28 Dec 2011 21:39:30 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sébastien Villemot <sebastien.villemot@ens.fr>:
New Bug report received and forwarded. Copy sent to sebastien.villemot@ens.fr, Debian Live Project <debian-live@lists.debian.org>. (Wed, 28 Dec 2011 21:39:33 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sébastien Villemot <sebastien.villemot@ens.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-manual-html: describes incorrect location for GPG key of additional repositories
Date: Wed, 28 Dec 2011 22:36:52 +0100
[Message part 1 (text/plain, inline)]
Package: live-manual-html
Version: 1:3.0~a9-1
Severity: normal
Tags: patch

Dear Maintainer,

The manual says that GPG keys for additional repositories should go into
config/archives/your-repository.gpg.{binary,chroot}, but in the current
version of live-build the right location is
config/archives/your-repository.key.{binary,chroot}.

A patch is attached.
[gpg-key.patch (text/x-diff, inline)]
diff --git a/manual/en/user_customization-packages.ssi b/manual/en/user_customization-packages.ssi
index 8772854..4ae33f3 100644
--- a/manual/en/user_customization-packages.ssi
+++ b/manual/en/user_customization-packages.ssi
@@ -73,7 +73,7 @@ If you add the same line to #{config/archives/live.list.binary}#, the repository
 
 If such files exist, they will be picked up automatically.
 
-You should also put the GPG key used to sign the repository into #{config/archives/your-repository.gpg.{binary,chroot}}# files.
+You should also put the GPG key used to sign the repository into #{config/archives/your-repository.key.{binary,chroot}}# files.
 
 *{Note:}* some preconfigured package repositories are available for easy selection through the #{--archives}# option, e.g. for enabling live snapshots, a simple command is enough to enable it:
 
[Message part 3 (text/plain, inline)]

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (600, 'unstable'), (550, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.1.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

-- no debconf information

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#653492; Package live-manual-html. (Fri, 30 Dec 2011 08:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 30 Dec 2011 08:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 653492@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Sébastien Villemot <sebastien.villemot@ens.fr>
Cc: 653492@bugs.debian.org
Subject: Re: Bug#653492: live-manual-html: describes incorrect location for GPG key of additional repositories
Date: Fri, 30 Dec 2011 09:48:17 +0100
tag 653492 pending
thanks

On 12/28/2011 10:36 PM, Sébastien Villemot wrote:
> The manual says that GPG keys for additional repositories should go into
> config/archives/your-repository.gpg.{binary,chroot}, but in the current
> version of live-build the right location is
> config/archives/your-repository.key.{binary,chroot}.

fixed in git, thanks for spotting it.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Fri, 30 Dec 2011 08:51:05 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Tue, 07 Feb 2012 00:06:20 GMT) Full text and rfc822 format available.

Notification sent to Sébastien Villemot <sebastien.villemot@ens.fr>:
Bug acknowledged by developer. (Tue, 07 Feb 2012 00:06:21 GMT) Full text and rfc822 format available.

Message #17 received at 653492-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 653492-close@bugs.debian.org
Subject: Bug#653492: fixed in live-manual 1:3.0~a10-1
Date: Tue, 07 Feb 2012 00:04:04 +0000
Source: live-manual
Source-Version: 1:3.0~a10-1

We believe that the bug you reported is fixed in the latest version of
live-manual, which is due to be installed in the Debian FTP archive:

live-manual-all_3.0~a10-1_all.deb
  to main/l/live-manual/live-manual-all_3.0~a10-1_all.deb
live-manual-epub_3.0~a10-1_all.deb
  to main/l/live-manual/live-manual-epub_3.0~a10-1_all.deb
live-manual-html_3.0~a10-1_all.deb
  to main/l/live-manual/live-manual-html_3.0~a10-1_all.deb
live-manual-odf_3.0~a10-1_all.deb
  to main/l/live-manual/live-manual-odf_3.0~a10-1_all.deb
live-manual-pdf_3.0~a10-1_all.deb
  to main/l/live-manual/live-manual-pdf_3.0~a10-1_all.deb
live-manual-txt_3.0~a10-1_all.deb
  to main/l/live-manual/live-manual-txt_3.0~a10-1_all.deb
live-manual_3.0~a10-1.debian.tar.gz
  to main/l/live-manual/live-manual_3.0~a10-1.debian.tar.gz
live-manual_3.0~a10-1.dsc
  to main/l/live-manual/live-manual_3.0~a10-1.dsc
live-manual_3.0~a10.orig.tar.gz
  to main/l/live-manual/live-manual_3.0~a10.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 653492@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-manual package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 06 Feb 2012 23:39:38 +0100
Source: live-manual
Binary: live-manual-all live-manual-epub live-manual-html live-manual-odf live-manual-pdf live-manual-txt
Architecture: source all
Version: 1:3.0~a10-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-manual-all - Debian Live - Documentation (metapackage)
 live-manual-epub - Debian Live - Documentation (epub)
 live-manual-html - Debian Live - Documentation (html)
 live-manual-odf - Debian Live - Documentation (odf)
 live-manual-pdf - Debian Live - Documentation (pdf)
 live-manual-txt - Debian Live - Documentation (txt)
Closes: 651457 653492 655360
Changes: 
 live-manual (1:3.0~a10-1) unstable; urgency=low
 .
   [ Ben Armstrong ]
   * Clarifying that the first three sections of current chapter are
     required reading for 'the impatient'.
 .
   [ chals ]
   * Updating Spanish and French translations of about_manual.
 .
   [ skizzhg ]
   * Updating italian translation.
   * Updating index.html, italian translation.
 .
   [ chals ]
   * Rearranging things to work with sisu3, thanks to Ben Armstrong and
     Ralph Amissah.
   * Switching from 'language' to 'filetype' output.
   * Fixing 'install' target so that debs build properly.
   * Updating links to 'pdf' files and to 'toc'.
   * Updating links in all available languages.
   * Fixing 'Last-Translator' fields and adding skizzhg to the Italian
     index.
 .
   [ Daniel Baumann ]
   * Updating German translation for index page.
 .
   [ chals ]
   * Renaming section 1.4.1 and adding 'git add .' to instructions.
   * Updating 'es' and 'fr'.
   * Fixing space in <<END.
 .
   [ Daniel Baumann ]
   * Updating gpg key filename for local archive definitions, thanks to
     Sébastien Villemot <sebastien.villemot@ens.fr> (Closes: #653492).
 .
   [ chals ]
   * Fixing another <<END in the apt pinning section.
   * Updating the year of the license to 2012 in the transalation po
     files (de, fr, es, it).
   * Redirecting #how-to-contribute link to its right location.
   * Removing backup of index.html.in~, it could be added to the clean
     target.
 .
   [ skizzhg ]
   * Updating about_manual, italian translation.
 .
   [ Ben Armstrong ]
   * Renaming usb-hdd image type to hdd. (Closes: #655360).
 .
   [ chals ]
   * Updating 'es' and 'fr' translations after 'usb-hdd' renaming.
   * Updating user_basics, Spanish translation.
   * Updating the bootloader section to 3.x, thanks to Ben Armstrong for
     the alternative method and help with the syntax (Closes: #651457).
   * Updating bootloaders section, Spanish translation.
   * Updating bootloaders section, French translation.
   * Fixing small formatting error in 'en' that only affected the
     translations.
 .
   [ Ben Armstrong ]
   * Reverting to using non-parent mirror options since that now works in
     latest release.
 .
   [ chals ]
   * Updating 'es' and 'fr', parent-mirrors.
   * Fixing typo and removing commented lines in manual/makefile.
   * Adding rm -f manual/en/*~ to clean target.
   * Adding functionality to build by document type, eg. FORMATS=pdf.
   * Explaining FORMATS= in the doc.
   * Updating 'es' and 'fr' translations of new functionality.
 .
   [ Ben Armstrong ]
   * Reinstate html format postprocessing; remove redundant sisu manifest
     run.
   * Update build dep for nokogiri, as old one is now a transitional
     package.
 .
   [ chals ]
   * Adding missing preposition in Spanish translation.
   * Clarifying section 1.4.2 Translation.
   * Updating 'es' and 'fr' translations.
   * Removing strange unicode symbols, again only spotted using vim.
 .
   [ skizzhg ]
   * Updating italian translation.
Checksums-Sha1: 
 5c37068c756b27910e0b364742023c4b72d901c6 1705 live-manual_3.0~a10-1.dsc
 0aa2d72f655e730b2973a5087127a5a4c1b735e1 886307 live-manual_3.0~a10.orig.tar.gz
 b385aa56b1721e11ba8bfef07235f0d68144b24f 17861 live-manual_3.0~a10-1.debian.tar.gz
 a31c80aa5c7be9e6c142aaeead2ec1ff033af08d 17808 live-manual-all_3.0~a10-1_all.deb
 386be5444412044f99c3f3dccc498493dd1a1add 668904 live-manual-epub_3.0~a10-1_all.deb
 d47b4841e7459517f0bade2c4c91f9b388e26f45 1035664 live-manual-html_3.0~a10-1_all.deb
 a28497c8520c040fb7f2e1425ed17f2e13e35c7f 412042 live-manual-odf_3.0~a10-1_all.deb
 61fa30d3616582beb6c0818d662b2657904d65c9 9436488 live-manual-pdf_3.0~a10-1_all.deb
 6c8cfc9a1bb32a077be3ac0565088990eef43ad2 317300 live-manual-txt_3.0~a10-1_all.deb
Checksums-Sha256: 
 1fab89ba15d96ba4f14de58adc28f33d6e12a732840e100bbd349f1309ce6a7a 1705 live-manual_3.0~a10-1.dsc
 5826c0b597fffdfd376c738ef52776ca9880982ec8cbe6d9cf6d621b1c132adf 886307 live-manual_3.0~a10.orig.tar.gz
 59104d571b667206e522ae3ab97ac0d5c27ff82d7818492b8c5245c363b1a16f 17861 live-manual_3.0~a10-1.debian.tar.gz
 0d903d123b1ab58a048ed565a073a5775820f424d61136797952acab9c6a9673 17808 live-manual-all_3.0~a10-1_all.deb
 4add3037f0ca038478454a6369b31c32e8fecc77daf6a730d7f386cfedb9dc62 668904 live-manual-epub_3.0~a10-1_all.deb
 0bf1927d2a4933517fcc98e455cdc8fa28f3d31a1881b75361739bd3c67ea72f 1035664 live-manual-html_3.0~a10-1_all.deb
 139fdc0c78cd67b07abe4645cdf97e1bcff796aea2f00d9056022fb4963e548a 412042 live-manual-odf_3.0~a10-1_all.deb
 888525748d2a97b6f6bd89be0ca3374d2f1dd3330d2ce8783cd8c833a5885747 9436488 live-manual-pdf_3.0~a10-1_all.deb
 133e19fbbfc12ba6be83051de4eb887e7c632ef3a033b1873e77c82de3e718d4 317300 live-manual-txt_3.0~a10-1_all.deb
Files: 
 38f8b19166d617bb3e4a8d52bec43439 1705 doc optional live-manual_3.0~a10-1.dsc
 2c6c9c0098972fc8a62d0cf84d789b97 886307 doc optional live-manual_3.0~a10.orig.tar.gz
 239c0d8af589b8ab9700a3347e681045 17861 doc optional live-manual_3.0~a10-1.debian.tar.gz
 f5f08b77a525536bea5b5533a6f9aa8f 17808 doc optional live-manual-all_3.0~a10-1_all.deb
 c0798ba03d52df0d6d0e53ea429c5de4 668904 doc optional live-manual-epub_3.0~a10-1_all.deb
 75a0cfd60231bffc74176f7dde58811a 1035664 doc optional live-manual-html_3.0~a10-1_all.deb
 d4d428e1855a0ad28e02084483c8d470 412042 doc optional live-manual-odf_3.0~a10-1_all.deb
 803767b292fdb5185e87698af9a0c29f 9436488 doc optional live-manual-pdf_3.0~a10-1_all.deb
 a5ecbe174252114687d746f9bb62ca01 317300 doc optional live-manual-txt_3.0~a10-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk8waTsACgkQ+C5cwEsrK57WywCfdsedqwWbtqybJgZHG7x9f2PV
eGIAoNY+zF4SF/hvOW7NsQDR5fnPhqb+
=x4nB
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 17 Mar 2012 07:43:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 03:52:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.